#include <stdio.h>
#include <iostream.h>
#include <stdlib.h>
#include <fstream.h>


const
  int N=25;
const
  float X=2.,Y=2.;

struct point{
  float *x,*y,*z;
};

struct triangle{
  struct point a,b,c;
};

#ifndef maillage_H
#define maillage_H
//**************************declaration de la classe maillage****************************

class maillage
{
 private:
  struct triangle tabtri[2*(N-1)*(N-1)];  
  float surface_triangle(int);
  float df(float,float,float,float,float,float,float,float,float);

 public:
  float x[N];
  float y[N];
  float z[N][N];
  float gradient[N-2][N-2];
  
  maillage(float);  
  void results();
  void refresh();
  void refresh_curv();
  float surface();
  void calculer_gradient();
 
};
#endif


